package com.inkasso.factoring.zhongjiaoxinglu.entity;

import com.inkasso.factoring.common.entity.BaseEntity;

import java.util.Date;


/**
 * 中交兴路身份证OCR信息表
 * 
 * @author shiyb
 * @email yongbin.shi@changan-inkasso.com
 * @date 2021-12-16 11:48:46
 */
public class ZjxlIdCardOcr extends BaseEntity {

	//身份证号码
	private String idcard;
	//姓名
	private String name;
	//性别
	private String sex;
	//民族
	private String ethnicity;
	//地址
	private String address;
	//出生日期
	private String birth;
	//有效起始日期
	private String validfrom;
	//有效截止日期
	private String validto;
	//发证机关
	private String issue;
	//创建人
	private String userCreate;
	//创建时间
	private Date gmtCreate;

	/**
	 * 设置：身份证号码
	 */
	public void setIdcard(String idcard) {
		this.idcard = idcard;
	}
	/**
	 * 获取：身份证号码
	 */
	public String getIdcard() {
		return idcard;
	}
	/**
	 * 设置：姓名
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * 获取：姓名
	 */
	public String getName() {
		return name;
	}
	/**
	 * 设置：性别
	 */
	public void setSex(String sex) {
		this.sex = sex;
	}
	/**
	 * 获取：性别
	 */
	public String getSex() {
		return sex;
	}
	/**
	 * 设置：民族
	 */
	public void setEthnicity(String ethnicity) {
		this.ethnicity = ethnicity;
	}
	/**
	 * 获取：民族
	 */
	public String getEthnicity() {
		return ethnicity;
	}
	/**
	 * 设置：地址
	 */
	public void setAddress(String address) {
		this.address = address;
	}
	/**
	 * 获取：地址
	 */
	public String getAddress() {
		return address;
	}
	/**
	 * 设置：出生日期
	 */
	public void setBirth(String birth) {
		this.birth = birth;
	}
	/**
	 * 获取：出生日期
	 */
	public String getBirth() {
		return birth;
	}
	/**
	 * 设置：有效起始日期
	 */
	public void setValidfrom(String validfrom) {
		this.validfrom = validfrom;
	}
	/**
	 * 获取：有效起始日期
	 */
	public String getValidfrom() {
		return validfrom;
	}
	/**
	 * 设置：有效截止日期
	 */
	public void setValidto(String validto) {
		this.validto = validto;
	}
	/**
	 * 获取：有效截止日期
	 */
	public String getValidto() {
		return validto;
	}
	/**
	 * 设置：发证机关
	 */
	public void setIssue(String issue) {
		this.issue = issue;
	}
	/**
	 * 获取：发证机关
	 */
	public String getIssue() {
		return issue;
	}
	/**
	 * 设置：创建人
	 */
	public void setUserCreate(String userCreate) {
		this.userCreate = userCreate;
	}
	/**
	 * 获取：创建人
	 */
	public String getUserCreate() {
		return userCreate;
	}
	/**
	 * 设置：创建时间
	 */
	public void setGmtCreate(Date gmtCreate) {
		this.gmtCreate = gmtCreate;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getGmtCreate() {
		return gmtCreate;
	}
}
